2009-11-30  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Assert.cs: Added AreEqualWithDelta.

2009-09-03  Alan McGovern  <amcgovern@novell.com>

	* Assert.cs: Add Assert.IsUnset (DependencyObject,
	  DependencyProperty) to make it easier to check if something
	  has a local value or not.


2009-08-21  Alan McGovern  <amcgovern@novell.com>

	* Assert.cs: When checking the visual children of a UIElement,
	  if we are not checking the children of the current node, we
	  should process the next node instead of returning. r: jeff

2009-04-30  Alan McGovern  <amcgovern@novell.com>

	* Assert.cs: Add a way to check visual parents to match the visual
	child method already there.

2009-04-30  Alan McGovern  <amcgovern@novell.com>

	* Assert.cs:
	* VisualNode.cs: Add a nice way to check visual trees using Assert.

2009-03-24  Alan McGovern  <amcgovern@novell.com>

	* Assert.cs: Add a better message when types aren't of the
	  expected type.

2009-03-16  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Assert.cs: Added AreNotSame (with overloads).

2009-02-26  Sebastien Pouliot  <sebastien@ximian.com>

	* Assert.cs: Add new Assert.Throws<Exception,Exception> to look at
	the inner exception type.

2009-01-07  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Assert.cs: Add a few more Assert methods.

2009-01-07  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* UnitTestAssertException.cs: Message: never return null.

2008-11-20  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Assert.cs, IgnoreAttribute.cs, TestCode.cs: Add some more bits to
	  make the harness compatible with our tests.

2008-11-20  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* AssemblyCleanupAttribute.cs, UnitTestOutcome.cs, TestContext.cs,
	  TestInitializeAttribute.cs, ExpectedExceptionAttribute.cs,
	  DescriptionAttribute.cs, TimeoutAttribute.cs,
	  TestCleanupAttribute.cs, ClassInitializeAttribute.cs,
	  OwnerAttribute.cs, AssemblyInitializeAttribute.cs,
	  ClassCleanupAttribute.cs: Implement more bits, add a Makefile.

2008-11-20  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* AssemblyCleanupAttribute.cs, AssemblyInitializeAttribute.cs,
	  Assert.cs, AssertFailedException.cs,
	  AssertInconclusiveException.cs, ClassCleanupAttribute.cs,
	  ClassInitializeAttribute.cs, CollectionAssert.cs,
	  CssIterationAttribute.cs, CssProjectStructureAttribute.cs,
	  DeploymentItemAttribute.cs, DescriptionAttribute.cs,
	  ExpectedExceptionAttribute.cs, GenericParameterHelper.cs,
	  HostTypeAttribute.cs, IgnoreAttribute.cs,
	  InternalTestFailureException.cs, IVerifiable.cs, OwnerAttribute.cs,
	  PriorityAttribute.cs, StringAssert.cs, TestClassAttribute.cs,
	  TestCleanupAttribute.cs, TestContext.cs,
	  TestInitializeAttribute.cs, TestMethodAttribute.cs,
	  TestPropertyAttribute.cs, TimeoutAttribute.cs,
	  UnitTestAssertException.cs, UnitTestOutcome.cs,
	  WorkItemAttribute.cs: Initial (and almost empty) implementation of
	  Microsoft.VisualStudio.QualityTools.UnitTesting.Silverlight.

